=== requirements.txt ===
numpy
scipy
matplotlib
mayavi
pyqt5
pyqt5-sip
sip
scikit-learn
nibabel
h5py
pandas
numexpr
python-picard
statsmodels
pytest
pytest-cov
joblib
psutil
dipy
numpydoc
https://api.github.com/repos/nipy/PySurfer/zipball/master
nitime
nilearn
neo
pydocstyle
flake8
