=== debian/changelog ===
python-mne (0.17+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.3.0
  * Testsuite: autopkgtest-pkg-python
  * ignore remaining errors in test suite
  * debhelper 12
  * Drop useless get-orig-source target
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target
  * Remove trailing whitespace in debian/changelog
  * Drop ancient X-Python-Version field
  * Build-Depends: s/python-sphinx/python3-sphinx/
  * remove outdated debian/pycompat
  * buildsystem pybuild
  * Fix permissions of some data files
  * Modernise d/watch
  * Replace compressed css
  * Realised that mne/html/mpld3.v0.2.min.js is removed as well but there
    is no replacement packaged in Debian
  * Remove Alexandre Gramfort <alexandre.gramfort@m4x.org> from Uploaders
    since he confirmed to have not time for the maintenance (Thanks for
    your work on the package Alexandre)

 -- Andreas Tille <tille@debian.org>  Fri, 18 Jan 2019 09:29:16 +0100
