=== debian/control ===
Source: python-mne
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>,
           Michael Hanke <michael.hanke@gmail.com>
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper (>= 12~),
               dh-python,
               python-all,
               python-nibabel,
               python-numpy,
               python-scipy,
               python3-sphinx,
               python-nose,
               python-pytest,
               python-pytest-cov,
               python-setuptools,
               python-matplotlib,
               python-joblib,
               python-sklearn,
               mayavi2 (>= 4.4.3~) | python-vtk6 | python-vtk,
               python-tk,
               xvfb,
               xauth,
               libgl1-mesa-dri,
               python-coverage,
               libjs-jquery,
               libjs-jquery-ui,
               yui-compressor
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/med-team/python-mne
Vcs-Git: https://salsa.debian.org/med-team/python-mne.git
Homepage: http://martinos.org/mne

Package: python-mne
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
         python-numpy,
         python-scipy,
         python-sklearn,
         python-matplotlib,
         python-joblib,
         xvfb,
         xauth,
         libgl1-mesa-dri,
         help2man,
         libjs-bootstrap,
         libjs-jquery,
         libjs-jquery-ui,
         libjs-d3
Recommends: python-nose,
            python-pytest,
            python-nibabel,
            mayavi2
Suggests: python-dap,
          python-pycuda,
          ipython
Provides: ${python:Provides}
Description: Python modules for MEG and EEG data analysis
 This package is designed for sensor- and source-space analysis of MEG
 and EEG data, including frequency-domain and time-frequency analyses
 and non-parametric statistics.
