=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

TESTRUNNER=py.test

export PYBUILD_NAME = mne

# to avoid cannot set toolkit to qt4 because it has already been set to wx
export ETS_TOOLKIT=qt4

export  http_proxy=http://127.0.0.1:9/
export  https_proxy=http://127.0.0.1:9/

%:
	dh $@ --with python2 --buildsystem pybuild

override_dh_clean:
	rm -rf *.egg-info
	dh_clean

override_dh_auto_build:
	dh_auto_build
	yui-compressor debian/JS/bootstrap/bootstrap.js > $(CURDIR)/mne/html/bootstrap.min.js
	printf "\n\n" >> $(CURDIR)/mne/html/bootstrap.min.js

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	mkdir -p build
	HOME=$(CURDIR)/build \
	MNE_DONTWRITE_HOME=true MNE_SKIP_SAMPLE_DATASET_TESTS=true MNE_FORCE_SERIAL=true MNE_SKIP_NETWORK_TESTS=1 \
	  xvfb-run --auto-servernum --server-num=20 -s "-screen 0 1024x768x24 -ac +extension GLX +render -noreset" \
	  $(TESTRUNNER) -s -v mne || true
	# ignore remaining errors in test suite
	# see https://github.com/mne-tools/mne-python/issues/5806
endif

override_dh_fixperms:
	dh_fixperms
	find `find debian -name data -type d` -type f -exec chmod -x \{\} \;
