## python-mne 0.19.1%2Bdfsg

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 export  https_proxy=http://127.0.0.1:9/
 
 %:
-	dh $@ --with python2 --buildsystem pybuild
+	dh $@ --with python3 --buildsystem pybuild
 
 override_dh_clean:
 	rm -rf *.egg-info
