=== requirements.txt ===
numpy
scipy
matplotlib
mayavi
pyqt5
pyqt5-sip
sip
scikit-learn
nibabel
numba
h5py
pandas
numexpr
python-picard
statsmodels
pytest!=4.6.0
pytest-cov
pytest-faulthandler
pytest-mock
pytest-sugar
pytest-timeout
joblib
psutil
dipy
numpydoc
PySurfer[save_movie]
nilearn
neo
xlrd
pydocstyle
flake8
pyvista>=0.21.3
panel
