=== debian/changelog ===
python-mne (0.19.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Breaks+Replaces: python-mne
    Closes: #939623
  * debhelper-compat 12
  * Standards-Version: 4.4.1
  * Replace Build-Depends forcing Python2 to mayavi2 (python-vtk6 | python-vtk)
    by python3-vtk7
  * Recommends: s/mayavi2/python3-vtk7/
    Suggests: mayavi2

 -- Andreas Tille <tille@debian.org>  Tue, 03 Dec 2019 09:52:14 +0100

python-mne (0.18.1+dfsg-0.1) unstable; urgency=medium

  * Non-maintainer upload (with team approval).
  * New upstream release.
  * Switch to Python 3.
  * Ran wrap-and-sort -bast.
  * Rebased deb_paths and up_check_numpy patches.

 -- Thomas Goirand <zigo@debian.org>  Sun, 01 Sep 2019 14:38:58 +0200
