## python-mne 0.23.4%2Bdfsg

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=auto,repack,compression=xz" \
  https://github.com/mne-tools/mne-python/releases .*/v?@ANY_VERSION@@ARCHIVE_EXT@
