=== debian/changelog ===
python-mne (0.23.4+dfsg-1) unstable; urgency=medium

  * Team upload.

  [ Steffen Moeller ]
  * Fix watchfile to detect new versions on github (routine-update)

  [ Andreas Tille ]
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Remove outdated debian/TOTO

 -- Andreas Tille <tille@debian.org>  Tue, 28 Sep 2021 10:14:03 +0200
