=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Section: python
 Testsuite: autopkgtest-pkg-python
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                libgl1-mesa-dri,
                libjs-jquery,
@@ -28,10 +28,11 @@
                xauth,
                xvfb,
                yui-compressor
-Standards-Version: 4.4.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/python-mne
 Vcs-Git: https://salsa.debian.org/med-team/python-mne.git
-Homepage: http://martinos.org/mne
+Homepage: https://martinos.org/mne
+Rules-Requires-Root: no
 
 Package: python3-mne
 Architecture: all
