=== requirements.txt ===
# requirements for full MNE-Python functionality (other than raw/epochs export)
numpy>=1.15.4
scipy>=1.1.0
matplotlib
tqdm
pooch>=1.5
decorator
h5io
packaging
pymatreader
qtpy
PySide6!=6.3.0
pyobjc-framework-Cocoa>=5.2.0; platform_system=="Darwin"
sip
scikit-learn
nibabel
numba
h5py
jinja2
pandas
numexpr
jupyter
python-picard
statsmodels
joblib
psutil
dipy
vtk
nilearn
xlrd
imageio>=2.6.1
imageio-ffmpeg>=0.4.1
traitlets
pyvista>=0.32,!=0.35.2
pyvistaqt>=0.4
mffpy>=0.5.7
ipywidgets
ipyvtklink
mne-qt-browser
darkdetect
qdarkstyle
