=== debian/changelog ===
python-mne (1.1.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Set upstream metadata fields: Security-Contact.
  * Switch from python-vtk7 to python-vtk9
    Closes: #1016602

 -- Andreas Tille <tille@debian.org>  Thu, 04 Aug 2022 14:10:02 +0200
