=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                libgl1-mesa-dri,
                libjs-jquery,
                libjs-jquery-ui,
-               python3-vtk7,
+               python3-vtk9,
                python3-all,
                python3-coverage,
                python3-joblib,
@@ -28,7 +28,7 @@
                xauth,
                xvfb,
                yui-compressor
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/python-mne
 Vcs-Git: https://salsa.debian.org/med-team/python-mne.git
 Homepage: https://martinos.org/mne
@@ -51,7 +51,7 @@
          xvfb,
          ${misc:Depends},
          ${python3:Depends}
-Recommends: python3-vtk7,
+Recommends: python3-vtk9,
             python3-nibabel,
             python3-nose,
             python3-pytest
