## python-mne 1.2.0+dfsg

=== debian/changelog ===
python-mne (1.2.0+dfsg-2) unstable; urgency=medium

  * d/control: remove dependencies to nose. (Closes: #1018533)
  * d/control: add myself to uploaders.
  * d/copyright: remove superfluous references to externals.

 -- Étienne Mollier <emollier@debian.org>  Sat, 03 Dec 2022 21:45:54 +0100

python-mne (1.2.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Create proper source tarball name
  * Fix watch file

 -- Andreas Tille <tille@debian.org>  Wed, 12 Oct 2022 09:38:40 +0200
