=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-mne
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>,
-           Michael Hanke <michael.hanke@gmail.com>
+           Michael Hanke <michael.hanke@gmail.com>,
+           Étienne Mollier <emollier@debian.org>
 Section: python
 Testsuite: autopkgtest-pkg-python
 Priority: optional
@@ -16,7 +17,6 @@
                python3-joblib,
                python3-matplotlib,
                python3-nibabel,
-               python3-nose,
                python3-numpy,
                python3-pytest,
                python3-pytest-cov,
@@ -53,7 +53,6 @@
          ${python3:Depends}
 Recommends: python3-vtk9,
             python3-nibabel,
-            python3-nose,
             python3-pytest
 Suggests: mayavi2,
           ipython,
