=== requirements.txt ===
--- 
+++ 
@@ -9,11 +9,12 @@
 packaging
 pymatreader
 qtpy
-PySide6!=6.3.0
+PySide6!=6.3.0,!=6.4.0,!=6.4.0.1  # incompat with Matplotlib 3.6.1 and qtpy
 pyobjc-framework-Cocoa>=5.2.0; platform_system=="Darwin"
 sip
 scikit-learn
 nibabel
+openmeeg>=2.5.5
 numba
 h5py
 jinja2
@@ -24,7 +25,7 @@
 statsmodels
 joblib
 psutil
-dipy
+dipy; sys_platform != 'darwin' or platform_machine != 'arm64'  # TODO: Needs dipy 1.6 release
 vtk
 nilearn
 xlrd
@@ -35,7 +36,10 @@
 pyvistaqt>=0.4
 mffpy>=0.5.7
 ipywidgets
+ipympl; platform_system!="Windows"  # XXX: Add support when ipympl CIs include Windows
+ipyevents
 ipyvtklink
 mne-qt-browser
 darkdetect
 qdarkstyle
+threadpoolctl
