=== debian/changelog ===
python-mne (1.3.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Remove unused license definitions for Expat.
  * Do not mention non-existing Files-Excluded
  * No need to provide bootstrap.js any more

 -- Andreas Tille <tille@debian.org>  Fri, 27 Jan 2023 17:39:55 +0100
