=== debian/control ===
--- 
+++ 
@@ -28,7 +28,7 @@
                xauth,
                xvfb,
                yui-compressor
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/python-mne
 Vcs-Git: https://salsa.debian.org/med-team/python-mne.git
 Homepage: https://martinos.org/mne
