=== debian/rules ===
--- 
+++ 
@@ -18,11 +18,6 @@
 	rm -rf *.egg-info
 	dh_clean
 
-override_dh_auto_build:
-	dh_auto_build
-	yui-compressor debian/JS/bootstrap/bootstrap.js > $(CURDIR)/mne/html/bootstrap.min.js
-	printf "\n\n" >> $(CURDIR)/mne/html/bootstrap.min.js
-
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	mkdir -p build
