## python-mne 1.6.1%2Bdfsg

=== debian/changelog ===
python-mne (1.6.1+dfsg-1) unstable; urgency=medium

  * New upstream version 1.6.1+dfsg
  * up_check_numpy: delete: doesn't apply anymore.
  * d/{control,rules}: move to dh-sequence-python3.
  * d/control: update build dependencies list.
  * d/missing-sources/*.js: hunted missing source code.
    The source code of python-mne holds minified javascript.  These files
    are the expanded versions of the minified files.

 -- Étienne Mollier <emollier@debian.org>  Sun, 18 Feb 2024 16:19:02 +0100
