=== debian/control ===
--- 
+++ 
@@ -7,7 +7,8 @@
 Testsuite: autopkgtest-pkg-python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
+               pybuild-plugin-pyproject,
                libgl1-mesa-dri,
                libjs-jquery,
                libjs-jquery-ui,
@@ -15,6 +16,7 @@
                python3-all,
                python3-coverage,
                python3-joblib,
+               python3-lazy-loader,
                python3-matplotlib,
                python3-nibabel,
                python3-numpy,
