## python-mne 1.7.1

=== Makefile ===
--- 
+++ 
@@ -25,7 +25,7 @@
 clean: clean-build clean-pyc clean-so clean-ctags clean-cache
 
 wheel:
-	$(PYTHON) -m build
+	$(PYTHON) -m build -w
 
 sample_data:
 	@python -c "import mne; mne.datasets.sample.data_path(verbose=True);"
@@ -54,9 +54,6 @@
 codespell:  # running manually
 	@codespell --builtin clear,rare,informal,names,usage -w -i 3 -q 3 -S $(CODESPELL_SKIPS) --ignore-words=ignore_words.txt --uri-ignore-words-list=bu $(CODESPELL_DIRS)
 
-check-manifest:
-	check-manifest -q --ignore .circleci/config.yml,doc,logo,mne/io/*/tests/data*,mne/io/tests/data,mne/preprocessing/tests/data,.DS_Store,mne/_version.py
-
 check-readme: clean wheel
 	twine check dist/*
