=== debian/changelog ===
python-mne (1.7.1-1) unstable; urgency=medium

  * New upstream version 1.7.1
  * d/links: freshen javascript libraries.
  * d/rules: slightly modernize the makefile.

 -- Étienne Mollier <emollier@debian.org>  Thu, 20 Jun 2024 23:21:35 +0200

python-mne (1.7.0-1) unstable; urgency=medium

  * New upstream version 1.7.0
  * d/copyright: remove Files-Excluded field.
    Affected files have disappeared upstream, repack is no more needed.
  * d/control: declare compliance to standards version 4.7.0.
  * d/control: build depends on python3-hatchling.
  * d/control: build depends on python3-hatch-vcs.
  * d/control: tests depend on python3-pooch.
  * d/control: tests depend on python3-pytest-timeout.
  * d/control: tests depend on python3-tqdm.
  * d/rules: cosmetic: improve readability.
  * d/rules: remove ||true; allow the test suite to fail again.

 -- Étienne Mollier <emollier@debian.org>  Wed, 24 Apr 2024 15:18:08 +0200
