=== debian/control ===
--- 
+++ 
@@ -15,22 +15,27 @@
                python3-vtk9,
                python3-all,
                python3-coverage,
+               python3-hatchling,
+               python3-hatch-vcs,
                python3-joblib,
                python3-lazy-loader,
                python3-matplotlib,
                python3-nibabel,
                python3-numpy,
+               python3-pooch <!nocheck>,
                python3-pytest,
                python3-pytest-cov,
+               python3-pytest-timeout <!nocheck>,
                python3-scipy,
                python3-setuptools,
                python3-sklearn,
+               python3-tqdm <!nocheck>,
                python3-tk,
                python3-sphinx,
                xauth,
                xvfb,
                yui-compressor
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/med-team/python-mne
 Vcs-Git: https://salsa.debian.org/med-team/python-mne.git
 Homepage: https://martinos.org/mne
